<id>
Split/Splice Plus SP1.3.2/1.4
</id>

<version>
1.8.1 Beta
</version>

<mod info>
This is a modification/update to BHRA Webmaster's great mod Split/Splice.
Using Split/Splice Plus users can now not only move off-topic replies between threads 
on the same board but between threads in different boards.

This mod adds 2 new admin functions to the thread display:

	Split -  Move off-topic replies from the current thread to a new thread.
		 Use the drop down selector to select which board you want the new thread to be located in.
		 Use the drop down selector to choose which will be the first post of the new thread,
		 consisting of that post and all subsequent posts. These posts will be replaced in the
		 original thread by a "moved to.." notice.

	Splice - Move the contents of the current thread onto the end of another thread.
		 Use the drop down selector to select which board you want the new thread to be located in.
		 Then after the page refreshes use the drop down selector to choose which thread the posts will be moved to.
		 These posts will be replaced in the original thread by a "moved to.." notice.

	Split/Splice - Special advanced version which combines the above functions into a single process and includes several extra options.


Split/Splice Plus Features:
----------------------------- 
	- Move individual posts or multiple posts from one thread to another
	- Split/Splice posts between different boards and categories
	- Ability to choose for "Moved To" notices to be new posts and moved up on message index or not
	- Ability to change the length of the Post summary and Thread names show in select areas
	- Built in compatibility with the Rebuild Index mod, enable in Forum Preferences
	- Fixes for numerous bugs originating from BHRA Webmaster's Split/Splice mod


History: 
---------- 
v1.8.1 - Fixed a typing error I made in English.lng which showed up in Forum Preferences
       - Fixed a small bug showing 2 posts on one line not allowing second to be selected This problem seen when post summary being cut off showing part of a <br> tag
       - Added ability to specify character limit for post summary and thread name being displayed, set in Forum Preferences
v1.8   - Fixed a problem with wrong username for last post of Source thread on Board Index... FOR GOOD THIS TIME!
       - Added compatibility with Rebuild Index Mod, turn on in Forum Preferences
       - Added option to not have the "Moved to" notice a new post when moving selected posts (has no effect when moving all posts)
v1.7   - Fixed a problem with wrong username for last post of Source thread on Board Index after Split
       - When leaving a "Moved to" notice and NOT moving all posts the new post is now moved to the top of the Board Index like it should be
       - If you select "-= All Posts =-" and then select a board to splice to "-= All Posts =-" now remains selected
       - Added Split/Splice Plus version to page
v1.6.2 - Fixed a problem to correct last post date/time when moving all posts and leaving a "Moved to" Notice
v1.6.1 - Fixed a "Moved to" Notice URL bug when moving all posts from one thread to another in in the same board
       - Fixed a "Moved to" Notice subject title bug
       - Fixed a bug when moving all posts from one thread to another in same board displaying date/time of split/splice on board index
       - Added "Beta" to the file names and mod version to prevent confusion for if and when a final is released
v1.6   - Fixed a bug not changing subject to "Moved to:" when moving all posts.
       - Fixed non-Advaned Mode Split so it doesn't have to refresh when you select a board.
       - When you split posts from a thread and leave a "Moved to Notice" a new post is created in source thread to notify visitors rather than a new post that looks like an old one edited.  Moving all posts stays the same.
v1.5   - Fixed all known bugs and tried to clean up coding.
v1.4   - When you select a target board it now remembers selected posts, whether you want a "Moved to" notice and the optional new subject title
v1.3.1 - Fixed a small problem which results in a "Page Not Found" error (Bad typing on my part).
v1.3   - Fixed a problem with the original Split/Splice not deleting certain files if no longer needed
v1.2   - Added the ability to specify target board when you split topic in non-advanced mode 
v1.1   - Fixes a few bugs that existed in the previous version of the mod.  It now properly updates all thread and post counts for the boards and threads used when you Split/Splice posts. 


To Install:
-----------
	- If a version of Split/Splice is currently installed uninstall it.
	- Install the Split/Splice Plus mod file for the appropriate version of YaBB and upload the modified files.
	- Place SplitSplice.pl in your Sources directory, and chmod it the same as the rest of the files there.
	- Place the images into your YaBBImages directory.
	- Go to the Forum Preferences and Settings, and tick the relevent checkboxs to set settings
	- If you have Rebuild Index mod installed be sure to enable Rebuild Index compatibility in Forum Preferences
</mod info>

<author>
Kong (kong@3dxl.com) - Split/Splice Plus
BHRA Webmaster - Split/Splice (Original Mod)
</author>

<homepage>
http://www.3dxl.com
</homepage>

###############################################################################

<edit file>
Sources/Display.pl
</edit file>

<search for>
        &nbsp;<a href="$cgi;action=movethread;thread=$viewnum">$img{'admin_move'}</a>$menusep
</search for>

<add after>
~;

	if($ss_advanced eq "1") { $yymain .= qq~
        <a href="$cgi;action=split_splice;thread=$viewnum">$img{'admin_split_splice'}</a>$menusep~;
	} else { $yymain .= qq~
        <a href="$cgi;action=split;thread=$viewnum">$img{'admin_split'}</a>$menusep
        <a href="$cgi;action=splice;thread=$viewnum">$img{'admin_splice'}</a>$menusep~;
	}

	$yymain .= qq~
</add after>

###############################################################################

<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
	if ($showmarkread) { $smreadchecked = "checked" }
</search for>

<add after>
	if ($ss_advanced) { $ssadvchecked = ' checked'; }
	if ($ss_rebuildcomp) { $ssrebuildcompchecked = ' checked'; }
	if ($ss_movedtonew eq "1" || $ss_movedtonew eq "") { $ssmovedtonewchecked = ' checked'; }
	if (!$ss_postcharlimit) { $ss_postcharlimit = '40'; }
	if (!$ss_threadcharlimit) { $ss_threadcharlimit = '50'; }
</add after>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'618'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="showmarkread" $smreadchecked></td>
  </tr><tr>
</search for>

<add after>
    <td colspan=2 class="windowbg2" bgcolor="$color{'windowbg2'}">
    <HR size=1 width="100%" class="hr"></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'623a'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="checkbox" name="ss_advanced"$ssadvchecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'624a'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="checkbox" name="ss_rebuildcomp"$ssrebuildcompchecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'625a'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="checkbox" name="ss_movedtonew"$ssmovedtonewchecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'626a'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=text name="ss_postcharlimit" size="5" value="$ss_postcharlimit"></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'627a'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=text name="ss_threadcharlimit" size="5" value="$ss_threadcharlimit"></td>
  </tr><tr>
    <td colspan=2 class="windowbg2" bgcolor="$color{'windowbg2'}">
    <HR size=1 width="100%" class="hr"></td>
  </tr><tr>
</add after>

<search for>
	$guestaccess = $guestaccess ? 0 : 1;
</search for>

<add after>
	$ss_advanced = $FORM{'ss_advanced'} ? 1 : 0;
	$ss_rebuildcomp = $FORM{'ss_rebuildcomp'} ? 1 : 0;
	$ss_movedtonew = $FORM{'ss_movedtonew'} ? 1 : 0;
	$ss_postcharlimit = $FORM{'ss_postcharlimit'} || 40;
	$ss_postcharlimit =~ s/\"/\'/g;
	$ss_threadcharlimit = $FORM{'ss_threadcharlimit'} || 50;
	$ss_threadcharlimit =~ s/\"/\'/g;
</add after>

<search for>
\$showmarkread = $showmarkread;				# Set to 1 to display and enable the mark as read buttons
</search for>

<add after>
\$ss_advanced = $ss_advanced;				# Set to 1 if you want to use the advanced split/splice function
\$ss_rebuildcomp = $ss_rebuildcomp;			# Set to 1 if you want to Split/Splice Plus with Rebuild Index compatibility
\$ss_movedtonew = $ss_movedtonew;			# Set to 1 if you want to Split/Splice Plus make all "Moved to" notices new posts when moving selected posts (has no effect when moving all posts)
\$ss_postcharlimit = $ss_postcharlimit;			# Number of character to be displayed per post summary in list
\$ss_threadcharlimit = $ss_threadcharlimit;		# Number of character to be displayed per thread name in list
</add after>

###############################################################################

<edit file>
Sources/SubList.pl
</edit file>

<search for>
%director=(
</search for>

<add after>
'split',"SplitSplice.pl&Split_Splice",
'splice',"SplitSplice.pl&Split_Splice",
'split_splice',"SplitSplice.pl&Split_Splice",
'split_splice2',"SplitSplice.pl&Split_Splice2",
</add after>

###############################################################################

<edit file>
english.lng
</edit file>

<search for>
$txt{'619'} = "Send welcome e-mail to users when you do not have mail password turned on?";
</search for>

<add after>
$txt{'620a'} = "Split Topic";
$txt{'621a'} = "Splice Topic";
$txt{'622a'} = "Split/Splice";
$txt{'623a'} = "Use Advanced Split/Splice Mode?";
$txt{'624a'} = "Run Split/Splice Plus with Rebuild Index compatibility?";
$txt{'625a'} = "Make Split/Splice Plus &quot;Moved To&quot; notices new posts?";
$txt{'626a'} = "Character Limit for each Post Summary Displayed";
$txt{'627a'} = "Character Limit for each Thread Name Displayed";
</add after>

<search for>
	$img{'admin_sticky'} = qq~<font size="1" class="imgbg">$txt{'781'}</font>~;
</search for>

<add after>
	$img{'admin_split'} = qq~<font size="1" class="imgbg">$txt{'620a'}</font>~;
	$img{'admin_splice'} = qq~<font size="1" class="imgbg">$txt{'621a'}</font>~;
	$img{'admin_split_splice'} = qq~<font size="1" class="imgbg">$txt{'622a'}</font>~;
</add after>

<search for>
	$img{'admin_sticky'} = qq~<img src="$imagesdir/sticky.gif" alt="$txt{'781'}" title="$txt{'781'}" border="0"> <font size="1" class="imgbg">$txt{'781'}</font>~;
</search for>

<add after>
	$img{'admin_split'} = qq~<img src="$imagesdir/admin_split.gif" alt="$txt{'620a'}" title="$txt{'620a'}" border="0"> <font size="1" class="imgbg">$txt{'620a'}</font>~;
	$img{'admin_splice'} = qq~<img src="$imagesdir/admin_splice.gif" alt="$txt{'621a'}" title="$txt{'621a'}" border="0"> <font size="1" class="imgbg">$txt{'621a'}</font>~;
	$img{'admin_split_splice'} = qq~<img src="$imagesdir/admin_split_splice.gif" alt="$txt{'622a'}" title="$txt{'622a'}" border="0"> <font size="1" class="imgbg">$txt{'622a'}</font>~;
</add after>

